add_lib('macros',compile=%t);

if ~exists('scicos','callable')
	load_toolbox('scicos-4.4');
end

printf('Coselica version %s\n', stripblanks(scicos_mgetl('VERSION')));
printf('Copyright (C) 2009-2016 Dirk Reusch, Kybernetik Dr. Reusch\n\r');

if exists('modelica_libs') then
  coselica_mlibs=file('join',[coselica_path(),'macros'])
  if isempty(find(modelica_libs==coselica_mlibs)) then
    modelica_libs=[modelica_libs,file('join',[coselica_path(),'macros'])];
  end
end

if exists('%scicos_gif') then
  icon_path=file('join',[coselica_path(),'macros','icons'])
  if isempty(find(%scicos_gif==icon_path)) then
    %scicos_gif=[%scicos_gif;icon_path]
  end
end

if exists('%scicos_pal') && ~%scicos_pal.contents.iskey["Coselica"] then
    %scicos_pal.structure.add_last["Coselica"];
    %scicos_pal.contents.enter[Coselica=coselica_palettes()];
end

if exists('%scicos_menu') then
  if %scicos_menu($)(1)(1) <> '_Coselica' then
    %scicos_menu.add_last[list()];
    %scicos_menu($).add_last[["_Coselica"	"menu"      "scmenu_coselica_menu"      ""  ""]];
    %scicos_menu($).add_last[["Palettes"  "menuitem"  "scmenu_coselica_palettes"  ""  ""]];
    %scicos_menu($).add_last[["Fix Import"  "menuitem"  "scmenu_coselica_fix_import"  ""  ""]];
    %scicos_menu($).add_last[["About"     "menuitem"  "scmenu_coselica_about"     ""  ""]];
  end
end

// for migration from Scicoslab
CTHS_PrescribedTemperatu=CTHS_PrescribedTemperature;
CTHS_RelTemperatureSenso=CTHS_RelTemperatureSensor;
CTHC_PrescribedTemperatu=CTHC_PrescribedTemperature;
CMPJ_ActuatedRollingWhee=CMPJ_ActuatedRollingWheel;
CMPSR_AngularAcceleratio=CMPSR_AngularAcceleration;
CMPSA_AngularAcceleratio=CMPSA_AngularAcceleration;
CMRS_QuadraticSpeedDepen=CMRS_QuadraticSpeedDependentTorque;
CMRS_LinearSpeedDependen=CMRS_LinearSpeedDependentTorque;
CMTS_QuadraticSpeedDepen=CMTS_QuadraticSpeedDependentForce;
CMTS_LinearSpeedDependen=CMTS_LinearSpeedDependentForce;
