// Coselica Toolbox for Scicos/Nsp
// Copyright (C) 2009-2016  Dirk Reusch, Kybernetik Dr. Reusch
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.


function _MEAI_NegativePin_pt( orig, sz, orient )
  if orient then
    xx=orig(1);yy=orig(2);
    ww=sz(1);hh=sz(2);
  else
    xx=orig(1)+sz(1);yy=orig(2);
    ww=-sz(1);hh=sz(2);
  end
  if orient then
    xrect(orig(1)+sz(1)*0,orig(2)+sz(2)*1,sz(1)*1,sz(2)*1,color=color(0,0,255),background=color(0,0,255),thickness=0.25);
  else
    xrect(orig(1)+sz(1)*(1-0-1),orig(2)+sz(2)*1,sz(1)*1,sz(2)*1,color=color(0,0,255),background=color(0,0,255),thickness=0.25);
  end
  if orient then
    xrect(orig(1)+sz(1)*0,orig(2)+sz(2)*1,sz(1)*1,sz(2)*1,color=color(0,0,255),background=color(255,255,255),thickness=0.25);
  else
    xrect(orig(1)+sz(1)*(1-0-1),orig(2)+sz(2)*1,sz(1)*1,sz(2)*1,color=color(0,0,255),background=color(255,255,255),thickness=0.25);
  end
endfunction
