// Coselica Toolbox for Scicos/NSP
// Copyright (C) 2016  Dirk Reusch, Kybernetik Dr. Reusch
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.

function scmenu_coselica_fix_import()
    
    Cmenu = '';
    %pt   = [];
    Select= [];

    [ nant, hant, scs_m ] = do_fix_import( scs_m, %t );
    
    hilite_obj( hant );
    
    if nant <> 0 then
        
        message( [ "  Total number of IMPORTED blocks fixed : " + string(nant); 
                   "  ";
                   "  Consider saving your diagram using a new name,";
                   "  because this automatic fix might be buggy!" ] );
        
        needcompile = 4;
        edited = %t;
        Cmenu = 'Replot';
        
    else
        
        message( [ "  There are no blocks in need of this fix,  ";
                   "  thus your diagram has not changed at all!  " ]);
    end
    
    unhilite_obj( hant );
    
endfunction
