// Coselica Toolbox for Scicos/Nsp
// Copyright (C) 2009-2016  Dirk Reusch, Kybernetik Dr. Reusch
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.


function [] = _CBM_TwoInputs_dp( o )
  [orig,sz,orient]=(o.graphics.orig,o.graphics.sz,o.graphics.flip);
  orig=redim(orig,1,2);
  sz=redim(sz,1,2);
  if orient then
    _MBI_RealInput_pt(orig + sz.*([-0.2,0.4])+(sz-40).*([0.2,0.1]),[8,8],%t);
    F=get_figure(curwin);
    o_size=length(F.children(1).children);
    _MBI_RealInput_pt(orig + sz.*([1,0.4])+(sz-40).*([0,0.1]),[8,8],%t);
    p_size=length(F.children(1).children);
    R=[cos(180*%pi/180),sin(180*%pi/180)];
    for i=(o_size+1):p_size
      C=F.children(1).children(i);
      B=C.get_bounds[];
      T=0.5*[B(1)+B(3),B(2)+B(4)];
      C.translate[-T];
      C.rotate[R];
      C.translate[T];
    end
  else
    _MBI_RealInput_pt(orig + sz.*([1,0.4])+(sz-40).*([0,0.1]),[8,8],%f);
    F=get_figure(curwin);
    o_size=length(F.children(1).children);
    _MBI_RealInput_pt(orig + sz.*([-0.2,0.4])+(sz-40).*([0.2,0.1]),[8,8],%f);
    p_size=length(F.children(1).children);
    R=[cos(-180*%pi/180),sin(-180*%pi/180)];
    for i=(o_size+1):p_size
      C=F.children(1).children(i);
      B=C.get_bounds[];
      T=0.5*[B(1)+B(3),B(2)+B(4)];
      C.translate[-T];
      C.rotate[R];
      C.translate[T];
    end
  end
endfunction
