// Coselica Toolbox for Scicos/Nsp
// Copyright (C) 2009-2016  Dirk Reusch, Kybernetik Dr. Reusch
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.


function [] = _CEAI_IdealOpAmpLimited_dp( o )
  [orig,sz,orient]=(o.graphics.orig,o.graphics.sz,o.graphics.flip);
  orig=redim(orig,1,2);
  sz=redim(sz,1,2);
  if orient then
    _MEAI_PositivePin_pt(orig + sz.*([-0.05,0.2])+(sz-40).*([0.1,0.05]),[4,4],%t);
    _MEAI_NegativePin_pt(orig + sz.*([-0.05,0.7])+(sz-40).*([0.1,0.05]),[4,4],%t);
    _MEAI_PositivePin_pt(orig + sz.*([0.95,0.45])+(sz-40).*([0,0.05]),[4,4],%t);
    _MEAI_PositivePin_pt(orig + sz.*([0.45,0.95])+(sz-40).*([0.05,0]),[4,4],%t);
    _MEAI_NegativePin_pt(orig + sz.*([0.45,-0.05])+(sz-40).*([0.05,0.1]),[4,4],%t);
  else
    _MEAI_PositivePin_pt(orig + sz.*([-0.05,0.2])+(sz-40).*([0,0.05]),[4,4],%f);
    _MEAI_NegativePin_pt(orig + sz.*([-0.05,0.7])+(sz-40).*([0,0.05]),[4,4],%f);
    _MEAI_PositivePin_pt(orig + sz.*([0.95,0.45])+(sz-40).*([0.1,0.05]),[4,4],%f);
    _MEAI_PositivePin_pt(orig + sz.*([0.45,0.95])+(sz-40).*([0.05,0]),[4,4],%f);
    _MEAI_NegativePin_pt(orig + sz.*([0.45,-0.05])+(sz-40).*([0.05,0.1]),[4,4],%f);
  end
endfunction
