// Coselica Toolbox for Scicoslab
// Copyright (C) 2009-2016  Dirk Reusch, Kybernetik Dr. Reusch
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.

function [x,y,typ] = _CEAI_IdealOpAmpLimited_ip( o )
  [orig,sz,orient]=(o.graphics.orig,o.graphics.sz,o.graphics.flip);
  if orient then
    x=orig(1)+sz(1)*([-0.05,-0.05,0.5])+(sz(1)-40)*([0.1,0.1,0]);
  else
    x=orig(1)+sz(1)*([1.05,1.05,0.5])+(sz(1)-40)*([-0.1,-0.1,0]);
  end
  y=orig(2)+sz(2)*([0.75,0.25,1.05])+(sz(2)-40)*([0,0,-0.1]);
  typ=[2,2,2];
endfunction
